feed:
  class: sfPropelRouteCollection
  options:
    model:                Feed
    module:               feed
    prefix_path:          /feed
    column:               id
    with_wildcard_routes: true

static_text_download:
  class: sfPropelRouteCollection
  options:
    model:                StaticText
    module:               download
    prefix_path:          /download
    column:               id
    with_wildcard_routes: true

continent:
  class: sfPropelRouteCollection
  options:
    model:                Continent
    module:               continent
    prefix_path:          /continent
    column:               id
    with_wildcard_routes: true

expedition_reports:
  class: sfPropelRouteCollection
  options:
    model:                ExpeditionReports
    module:               report
    prefix_path:          /report
    column:               id
    with_wildcard_routes: true

static_text_report:
  class: sfPropelRouteCollection
  options:
    model:                StaticText
    module:               report
    prefix_path:          /report
    column:               id
    with_wildcard_routes: true

static_text_about:
  class: sfPropelRouteCollection
  options:
    model:                StaticText
    module:               about
    prefix_path:          /about
    column:               id
    with_wildcard_routes: true

static_text_guide:
  class: sfPropelRouteCollection
  options:
    model:                StaticText
    module:               guide
    prefix_path:          /guide
    column:               id
    with_wildcard_routes: true

static_text_group:
  class: sfPropelRouteCollection
  options:
    model:                StaticTextGroup
    module:               static_text_group
    prefix_path:          /static_text_group
    column:               id
    with_wildcard_routes: true

expedition_details:
  class: sfPropelRouteCollection
  options:
    model:                ExpeditionDetails
    module:               expedition_details
    prefix_path:          /expedition_details
    column:               id
    with_wildcard_routes: true

file_image:
  class: sfPropelRouteCollection
  options:
    model:                File
    module:               image
    prefix_path:          /image
    column:               id
    with_wildcard_routes: true

gallery:
  class: sfPropelRouteCollection
  options:
    model:                Gallery
    module:               gallery
    prefix_path:          /gallery
    column:               id
    with_wildcard_routes: true

file:
  class: sfPropelRouteCollection
  options:
    model:                File
    module:               file
    prefix_path:          /file
    column:               id
    with_wildcard_routes: true

static_text:
  class: sfPropelRouteCollection
  options:
    model:                StaticText
    module:               static_text
    prefix_path:          /static_text
    column:               id
    with_wildcard_routes: true

expedition_type:
  class: sfPropelRouteCollection
  options:
    model:                ExpeditionType
    module:               expedition_type
    prefix_path:          /expedition_type
    column:               id
    with_wildcard_routes: true

expedition:
  class: sfPropelRouteCollection
  options:
    model:                Expedition
    module:               expedition
    prefix_path:          /expedition
    column:               id
    with_wildcard_routes: true

newsletter:
  class: sfPropelRouteCollection
  options:
    model:                NewsletterSubscription
    module:               newsletter
    prefix_path:          /newsletter
    column:               id
    with_wildcard_routes: true

# Expedition details

expedition_details:
  url:   /details/:exp_id
  param: { module: expedition_details, action: listDetails}
  requirements:
    exp_id: \d+

expedition_details_new:
  url:   /details/embed/new/:exp_id
  param: { module: expedition_details, action: updateEmbed}
  requirements:
    exp_id: \d+

expedition_details_update:
  url:   /details/embed/update/:id
  param: { module: expedition_details, action: updateEmbed}
  requirements:
    id: \d+

expedition_details_delete:
  url:   /details/embed/delete/:id
  param: { module: expedition_details, action: deleteEmbed}
  requirements:
    id: \d+

# Gallery order 

gallery_sort:
  url: /gallery/sort
  param: { module: gallery, action: sort}

# Newsletter

newsletter_csv_list:
  url: /newsletter/csv
  param: { module: newsletter, action: getCsvList }

# Those belongs to embedded static texts i.e. for expeditions columns etc.

text_new_embed:
  url:   /static_text/embed/new/:group_id
  param: { module: static_text, action: updateEmbed}
  requirements:
    group_id: \d+

text_update_embed:
  url:   /static_text/embed/update/:id
  param: { module: static_text, action: updateEmbed}
  requirements:
    id: \d+

text_delete_embed:
  url:   /static_text/embed/delete/:id
  param: { module: static_text, action: deleteEmbed}
  requirements:
    id: \d+

text_group_contents:
  url:   /textgroup/contents/:id
  param: { module: static_text_group, action: contents}
  requirements:
    id: \d+

massupload:
  url:   /massupload
  param: { module: massupload, action: upload }

massupload_fetch:
  url:   /fetch
  param: { module: massupload, action: fetch }

fb_auth:
  url:   /fb/auth
  param: { module: fb, action: auth }


# sfGuard - we love that

sf_guard_signin:
  url:   /login
  param: { module: sfGuardAuth, action: signin }
 
sf_guard_signout:
  url:   /logout
  param: { module: sfGuardAuth, action: signout }
 
sf_guard_password:
  url:   /request_password
  param: { module: sfGuardAuth, action: password }

# default rules

homepage:
  url:   /
  param: { module: expedition, action: index }

# generic rules

default_index:
  url:   /:module
  param: { action: index }

default:
  url:   /:module/:action/*
